# ExclusiveContentRepository

interface ExclusiveContentRepository

Describes one or more repositories which together constitute the only possible source for an artifact, independently of the others. This means that if a repository declares an include, other repositories will automatically exclude it.

#### Since

6.2

## Functions

filter
Link copied to clipboard
abstract fun filter(config: Action<in InclusiveRepositoryContentDescriptor>): ExclusiveContentRepository
Defines the content filter for this repository
forRepositories
Link copied to clipboard
abstract fun forRepositories(repositories: Array<ArtifactRepository>): ExclusiveContentRepository
Declares the repository
forRepository
Link copied to clipboard
abstract fun forRepository(repository: Factory<out ArtifactRepository>): ExclusiveContentRepository
Declares the repository